aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile.am5
-rw-r--r--contrib/scripts/gnunet-logread/Makefile.am5
-rw-r--r--lint/Makefile.am3
-rw-r--r--po/POTFILES.in2
-rwxr-xr-xsrc/namestore/test_namestore_delete.sh6
-rwxr-xr-xsrc/namestore/test_namestore_lookup.sh28
-rwxr-xr-xsrc/namestore/test_namestore_put.sh2
7 files changed, 26 insertions, 25 deletions
diff --git a/Makefile.am b/Makefile.am
index 19d6a8bef..796225a04 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -5,13 +5,16 @@ AM_CPPFLAGS = -I$(top_srcdir)/src/include
5if DOCUMENTATION_ONLY 5if DOCUMENTATION_ONLY
6 SUBDIRS = doc 6 SUBDIRS = doc
7else 7else
8 SUBDIRS = m4 src po pkgconfig lint 8 SUBDIRS = m4 src po pkgconfig
9endif 9endif
10 10
11# documentation on / off switch (affects all of the documentation) 11# documentation on / off switch (affects all of the documentation)
12if DOCUMENTATION 12if DOCUMENTATION
13 SUBDIRS += doc 13 SUBDIRS += doc
14endif 14endif
15if HAVE_EXPERIMENTAL
16 SUBIDRS += lint
17endif
15 18
16# only manpages, needs "doc" subdir 19# only manpages, needs "doc" subdir
17if INCLUDE_MANPAGES 20if INCLUDE_MANPAGES
diff --git a/contrib/scripts/gnunet-logread/Makefile.am b/contrib/scripts/gnunet-logread/Makefile.am
index 82c99494c..7903c07de 100644
--- a/contrib/scripts/gnunet-logread/Makefile.am
+++ b/contrib/scripts/gnunet-logread/Makefile.am
@@ -20,3 +20,8 @@ CLEANFILES= \
20noinst_SCRIPTS = \ 20noinst_SCRIPTS = \
21 $(CLEANFILES) \ 21 $(CLEANFILES) \
22 gnunet-logread-ipc 22 gnunet-logread-ipc
23
24EXTRA_DIST = \
25 gnunet-logread.in \
26 gnunet-logread-ipc-sdedit.in \
27 gnunet-logread-ipc
diff --git a/lint/Makefile.am b/lint/Makefile.am
index 0de8da54a..f78cdd5f6 100644
--- a/lint/Makefile.am
+++ b/lint/Makefile.am
@@ -57,3 +57,6 @@ check-texinfo:
57 @cd $(top_srcdir)/doc/tutorial ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/XXX/ {print FILENAME":"NR":"$$0}' >> $(srcdir)/texinfo_tutorial.log || true 57 @cd $(top_srcdir)/doc/tutorial ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/XXX/ {print FILENAME":"NR":"$$0}' >> $(srcdir)/texinfo_tutorial.log || true
58 58
59check-linters: check-bashism check-python check-man check-texinfo 59check-linters: check-bashism check-python check-man check-texinfo
60
61EXTRA_DIST = \
62 checkbashisms.pl.in
diff --git a/po/POTFILES.in b/po/POTFILES.in
index 67c22aaed..e4fba08ac 100644
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -418,8 +418,6 @@ src/transport/plugin_transport_udp_broadcasting.c
418src/transport/plugin_transport_udp.c 418src/transport/plugin_transport_udp.c
419src/transport/plugin_transport_unix.c 419src/transport/plugin_transport_unix.c
420src/transport/plugin_transport_wlan.c 420src/transport/plugin_transport_wlan.c
421src/transport/plugin_transport_xt.c
422src/transport/plugin_transport_xu.c
423src/transport/tcp_connection_legacy.c 421src/transport/tcp_connection_legacy.c
424src/transport/tcp_server_legacy.c 422src/transport/tcp_server_legacy.c
425src/transport/tcp_server_mst_legacy.c 423src/transport/tcp_server_mst_legacy.c
diff --git a/src/namestore/test_namestore_delete.sh b/src/namestore/test_namestore_delete.sh
index 8c776104a..44ea1e66c 100755
--- a/src/namestore/test_namestore_delete.sh
+++ b/src/namestore/test_namestore_delete.sh
@@ -61,15 +61,15 @@ for LINE in $OUTPUT ;
61stop_peer 61stop_peer
62 62
63 63
64if [ $FOUND_NAME == false -a $FOUND_IP != false ] 64if [ $FOUND_NAME = false -a $FOUND_IP != false ]
65then 65then
66 echo "PASS: Delete name in namestore" 66 echo "PASS: Delete name in namestore"
67 exit 0 67 exit 0
68elif [ $FOUND_NAME == true ] 68elif [ $FOUND_NAME = true ]
69then 69then
70 echo "FAIL: Delete name in namestore: name returned" 70 echo "FAIL: Delete name in namestore: name returned"
71 exit 1 71 exit 1
72elif [ $FOUND_IP == true ] 72elif [ $FOUND_IP = true ]
73then 73then
74 echo "FAIL: Delete name in namestore: IP returned" 74 echo "FAIL: Delete name in namestore: IP returned"
75 exit 1 75 exit 1
diff --git a/src/namestore/test_namestore_lookup.sh b/src/namestore/test_namestore_lookup.sh
index 90735b17e..1c96e102a 100755
--- a/src/namestore/test_namestore_lookup.sh
+++ b/src/namestore/test_namestore_lookup.sh
@@ -19,20 +19,10 @@ TEST_IP_PLUS="127.0.0.1"
19TEST_RECORD_NAME_DNS="www3" 19TEST_RECORD_NAME_DNS="www3"
20which timeout &> /dev/null && DO_TIMEOUT="timeout 5" 20which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
21 21
22function start_peer 22# start peer
23{ 23gnunet-arm -s -c $CONFIGURATION
24 gnunet-arm -s -c $CONFIGURATION 24gnunet-identity -C testego -c $CONFIGURATION
25 gnunet-identity -C testego -c $CONFIGURATION
26}
27 25
28function stop_peer
29{
30 gnunet-identity -D testego -c $CONFIGURATION
31 gnunet-arm -e -c $CONFIGURATION
32}
33
34
35start_peer
36# Create a public record 26# Create a public record
37gnunet-namestore -p -z testego -a -n $TEST_RECORD_NAME_DNS -t A -V $TEST_IP_PLUS -e never -c $CONFIGURATION 27gnunet-namestore -p -z testego -a -n $TEST_RECORD_NAME_DNS -t A -V $TEST_IP_PLUS -e never -c $CONFIGURATION
38NAMESTORE_RES=$? 28NAMESTORE_RES=$?
@@ -52,19 +42,21 @@ for LINE in $OUTPUT ;
52 FOUND_IP=true; 42 FOUND_IP=true;
53 #echo $FOUND_IP 43 #echo $FOUND_IP
54 fi 44 fi
55 done 45done
56stop_peer 46# stop peer
47gnunet-identity -D testego -c $CONFIGURATION
48gnunet-arm -e -c $CONFIGURATION
57 49
58 50
59if [ $FOUND_NAME == true -a $FOUND_IP == true ] 51if [ $FOUND_NAME = true -a $FOUND_IP = true ]
60then 52then
61 echo "PASS: Lookup name in namestore" 53 echo "PASS: Lookup name in namestore"
62 exit 0 54 exit 0
63elif [ $FOUND_NAME == false ] 55elif [ $FOUND_NAME = false ]
64then 56then
65 echo "FAIL: Lookup name in namestore: name not returned" 57 echo "FAIL: Lookup name in namestore: name not returned"
66 exit 1 58 exit 1
67elif [ $FOUND_IP == false ] 59elif [ $FOUND_IP = false ]
68then 60then
69 echo "FAIL: Lookup name in namestore: IP not returned" 61 echo "FAIL: Lookup name in namestore: IP not returned"
70 exit 1 62 exit 1
diff --git a/src/namestore/test_namestore_put.sh b/src/namestore/test_namestore_put.sh
index 6b6647d5f..eaf7d44b4 100755
--- a/src/namestore/test_namestore_put.sh
+++ b/src/namestore/test_namestore_put.sh
@@ -46,7 +46,7 @@ gnunet-namestore -p -z testego -a -n $TEST_RECORD_NAME_DNS -t A -V $TEST_IP_PLUS
46NAMESTORE_RES=$? 46NAMESTORE_RES=$?
47stop_peer 47stop_peer
48 48
49if [ $NAMESTORE_RES == 0 ] 49if [ $NAMESTORE_RES = 0 ]
50then 50then
51 echo "PASS: Creating name in namestore" 51 echo "PASS: Creating name in namestore"
52else 52else